import { FileInfo, API, Options, ObjectExpression } from 'jscodeshift';
import * as postcss from 'postcss';
export default function cssToJss(fileInfo: FileInfo, api: API, options: Options): string | null | undefined | void;
export declare function collectAnimationNames(nodes: postcss.Node[]): Set<string>;
export declare function splitGlobals(selector: string): [string | null, string | null];
export declare function convertSelectors(root: ObjectExpression): void;
export declare function convertAnimationNames(root: ObjectExpression, animationNames: Set<string>): void;
export declare function convertNodes(nodes: postcss.Node[]): ObjectExpression;
